package com.jnym.mgmt.client.controller;

import com.jnym.mgmt.client.service.DelAccountService;
import com.jnym.mgmt.client.vo.DelAccountCheckVO;
import com.jnym.mgmt.client.vo.IamReturnVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/delAccount")
@Api(value = "注销账号身份", tags = "注销账号身份")
public class DelAccountController {

    @Autowired
    private DelAccountService delAccountService;


    @GetMapping("/delAccountCheck")
    @ApiOperation(value = "注销账号校验")
    public DelAccountCheckVO delAccountCheck(){
        return delAccountService.delAccountCheck(1);
    }

    @GetMapping("/delIdentityCheck")
    @ApiOperation(value = "注销身份校验")
    public DelAccountCheckVO delIdentityCheck(){
        return delAccountService.delAccountCheck(0);
    }

    @PostMapping("/delAccount")
    @ApiOperation(value = "注销账户")
    public IamReturnVO delAccount(){
        IamReturnVO iamReturnVO = new IamReturnVO();
        return iamReturnVO
                .setSuccess(delAccountService.delAccount())
                .setCode(200)
                .setMessage("");
    }

    @PostMapping("/delIdentity")
    @ApiOperation(value = "注销当前身份")
    public IamReturnVO delIdentity(){
        IamReturnVO iamReturnVO = new IamReturnVO();
        return iamReturnVO
                .setSuccess(delAccountService.delIdentity())
                .setCode(200)
                .setMessage("");
    }

}
