package com.jnym.mgmt.client.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.jnym.mgmt.client.entity.DeveloperApply;
import com.jnym.mgmt.client.service.DeveloperApplyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springblade.core.secure.utils.AuthUtil;
import org.springblade.core.tool.api.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 开发者申请接口
 */
@RestController
@RequestMapping("/developerApply")
@Api(value = "开发者申请", tags = "开发者申请")
@Slf4j
public class DeveloperApplyController {

    @Autowired
    private DeveloperApplyService developerApplyService;

    /**
     * 申请成为开发者
     */
    @GetMapping("/apply")
    @ApiOperation(value = "申请开发者")
    public R<Boolean> apply() {
        return R.data(developerApplyService.apply());
    }

    @GetMapping("/currentUser")
    @ApiOperation(value = "当前用户审核记录")
    public R<DeveloperApply> currentUser() {
        return R.data(developerApplyService.currentUser());
    }

    @PostMapping("/withdraw")
    @ApiOperation(value = "撤回")
    public R<Boolean> withdraw(){
        return R.data(developerApplyService.withdraw());
    }
}
