package com.jnym.mgmt.client.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jnym.mgmt.client.entity.DeveloperApply;
import com.jnym.mgmt.client.entity.DeveloperReviewLog;
import com.jnym.mgmt.client.service.DeveloperApplyManageService;
import com.jnym.mgmt.client.service.DeveloperApplyService;
import com.jnym.mgmt.client.vo.DeveloperApplyPageParams;
import com.jnym.mgmt.client.vo.DeveloperApplyReviewParams;
import com.jnym.mgmt.client.vo.DeveloperApplyStatusCountVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springblade.core.tool.api.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 开发者申请接口
 */
@RestController
@RequestMapping("/developerApplyManage")
@Api(value = "开发者申请管理", tags = "开发者申请管理")
@Slf4j
public class DeveloperApplyManageController {

    @Autowired
    private DeveloperApplyManageService developerApplyManageService;


    @GetMapping("/applyPage")
    @ApiOperation(value = "申请列表")
    public R<Page<DeveloperApply>> applyPage(DeveloperApplyPageParams params){
        return R.data(developerApplyManageService.applyPage(params));
    }

    @GetMapping("/reviewLogList")
    @ApiOperation(value = "审核记录")
    public R<List<DeveloperReviewLog>> reviewLogList(Long id) {
        return R.data(developerApplyManageService.reviewLogList(id));
    }

    @PostMapping("/review")
    @ApiOperation(value = "审核")
    public R<Boolean> review(@RequestBody DeveloperApplyReviewParams params){
        return R.data(developerApplyManageService.review(params));
    }

    @GetMapping("/statusCount")
    @ApiOperation(value = "各状态数据个数")
    public R<DeveloperApplyStatusCountVO> statusCount(){
        return R.data(developerApplyManageService.statusCount());
    }

}
