package com.jnym.mgmt.client.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

@Data
@Accessors(chain = true)
public class DeveloperApply {

    /**
     * 自增id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    @ApiModelProperty(" 租户类型 1个人 2企业")
    private Integer instType;
    @TableField(exist = false)
    private String userAccount;
    @TableField(exist = false)
    private String userNickName;

    /**
     * 状态 0是未审核 1是审核通过 2是未通过
     */
    @ApiModelProperty("状态 0未申请 1是未审核 2是审核通过 3是未通过")
    private Integer status;

    /**
     * 申请时间
     */
    private Date applyTime;

    /**
     * 审核时间
     */
    private Date checkTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private Long createUserId;


    private String tenantId;
    @TableField(exist = false)
    private String tenantName;
    @TableField(exist = false)
    private List<DeveloperReviewLog> developerReviewLogs;




}
