package com.jnym.mgmt.client.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.mapstruct.Mapper;
import org.springframework.web.bind.annotation.RequestParam;

@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface DelAccountMapper {


    /**
     * 获取分享大屏个数
     * @return
     */
    @Select({"<script>",
            "SELECT count(1) ",
            "FROM visual_data_share vds ",
            "LEFT JOIN visual_data vd ON vds.relation_id = vd.id ",
            "WHERE vds.create_user = #{userId} ",
            "<if test='tenantId != null'>",
            "  AND vd.tenant_id = #{tenantId} ",
            "</if>",
            "</script>"})
    Integer visualDataShareCount(@Param("userId") Long userId, @Param("tenantId") String tenantId);

    /**
     * 获取第三方链接的个数
     * @param userId
     * @param tenantId
     * @return
     */
    @Select({"<script>",
            "SELECT count(1) ",
            "FROM visual_login_free_link ",
            "WHERE  create_user_id = #{userId} ",
            "<if test='tenantId != null'>",
            "  AND tenant_id = #{tenantId} ",
            "</if>",
            "</script>"})
    Integer visualLoginFreeLinkCount(@Param("userId") Long userId, @Param("tenantId") String tenantId);

    /**
     * 删除数据源
     */
    @Delete({
            "<script>",
            "DELETE FROM report_datasource",
            "WHERE tenant_id = #{tenantId}",
            "<if test='userId != null'>",
            "  AND create_user_id = #{userId}",
            "</if>",
            "</script>"
    })
    void delDs(@Param("userId") Long userId, @Param("tenantId") String tenantId);

    /**
     * 删除数据集
     */
    @Delete({
            "<script>",
            "DELETE FROM cube_data",
            "WHERE tenant_id = #{tenantId}",
            "<if test='userId != null'>",
            "  AND create_user_id = #{userId}",
            "</if>",
            "</script>"
    })
    void delCubeData(@Param("userId") Long userId, @Param("tenantId") String tenantId);

    /**
     * 删除大屏
     */
    @Delete({
            "<script>",
            "DELETE FROM visual_data",
            "WHERE tenant_id = #{tenantId}",
            "<if test='userId != null'>",
            "  AND create_user = #{userId}",
            "</if>",
            "</script>"
    })
    void delVisualData(@Param("userId") Long userId, @Param("tenantId") String tenantId);
}
