package com.jnym.mgmt.client.resource;

import cn.hutool.core.bean.BeanUtil;
import com.jnym.mgmt.client.entity.CustomPlatform;
import com.jnym.mgmt.client.service.CustomPlatformService;
import com.jnym.mgmt.client.service.IamService;
import org.springblade.system.client.CustomPlatformClient;
import org.springblade.system.client.IamClient;
import org.springblade.system.client.dto.IamGetUserByIdsParams;
import org.springblade.system.client.model.CustomPlatformModel;
import org.springblade.system.client.model.TenantModel;
import org.springblade.system.client.model.UserModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class CustomPlatformResource implements CustomPlatformClient {

    @Autowired
    private CustomPlatformService customPlatformService;


    @Override
    public CustomPlatformModel getById(Long id) {
        CustomPlatform customPlatform = customPlatformService.getById(id);
        if (customPlatform==null){
            throw new RuntimeException("没有该数据");
        }
        return BeanUtil.copyProperties(customPlatform,CustomPlatformModel.class);
    }

    @Override
    public List<CustomPlatformModel> getByIds(List<Long> ids) {
        List<CustomPlatform> customPlatforms = customPlatformService.listByIds(ids);
        if (customPlatforms.size()==0){
            throw new RuntimeException("没有该数据");
        }
        return BeanUtil.copyToList(customPlatforms,CustomPlatformModel.class);
    }
}
