package com.jnym.mgmt.client.resource;

import com.jnym.mgmt.client.service.IamService;
import org.springblade.system.client.IamClient;
import org.springblade.system.client.dto.IamGetUserByIdsParams;
import org.springblade.system.client.model.TenantModel;
import org.springblade.system.client.model.UserModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import java.util.List;

@RestController
public class IamResource implements IamClient {

    @Autowired
    private IamService iamService;

    @Override
    public List<TenantModel> getTenantByTenantIds(List<String> tenantIds) {
        return iamService.getTenantNames(tenantIds);
    }

    @Override
    public UserModel getById(Long userId,Long tenantId) {
        return iamService.getByUserId(userId,tenantId);
    }

    @Override
    public List<UserModel> getByIds(IamGetUserByIdsParams params) {
        return iamService.getByUserIds(params);
    }


}
