/**
 * 
 */
package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.base.TenantEntity;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author wookvn
 *
 */
@Data
public class CubeGlobalParam extends TenantEntity implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@TableId
	@ApiModelProperty(value = "主键")
	private Long id;
	
	@ApiModelProperty(value = "分类ID")
	private Long typeId;
	
	@TableField(condition = SqlCondition.LIKE)
	@ApiModelProperty(value = "参数名称")
	@NotEmpty(message = "参数名称不能为空")
	private String paramName;
	
	@ApiModelProperty(value = "参数字段名")
	@NotEmpty(message = "参数字段名不能为空")
	private String paramKey;
	
	@ApiModelProperty(value = "参数对应字段类型")
	private int paramColumnType;
	
	@ApiModelProperty(value = "参数类型[系统变量不可删除]")
	private int paramType;
	
	@ApiModelProperty(value = "默认值")
	private String defaultValue;
	
	@ApiModelProperty(value = "备注说明")
	private String remark;
	
	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;
	
	@ApiModelProperty(value = "创建人ID")
	private Long createUserId;
	
	@ApiModelProperty(value = "创建人姓名	")
	private String createBy;

}
