/**
 * 
 */
package org.springblade.modules.system.mapper;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.modules.system.entity.DataPermissionUser;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @author wookvn
 *
 */
public interface DataPermissionUserMapper extends BaseMapper<DataPermissionUser> {

	@InterceptorIgnore(tenantLine = "true")
	@Select("select count(1) from data_permission_user aa inner join data_permission bb on aa.data_perm_id = bb.id where bb.super_status = 1 and aa.user_id = #{param1}")
	public int checkSuperPermission(Long userId);

	@InterceptorIgnore(tenantLine = "true")
	@Select({
	"<script>",
			//------用户ID判断----
			"select count(1) from data_permission_user aa, data_permission bb where aa.data_perm_id = bb.id and bb.super_status = 1 and aa.user_id = #{userId}",

			//------角色ID判断----
			"<if test=\"roleIdList != null and roleIdList.size > 0\">",
				" union all ",
				"select count(1) from data_permission_role aa, data_permission bb where aa.data_perm_id = bb.id and bb.super_status = 1 and aa.role_id in ",
				"<foreach collection=\"roleIdList\" item=\"roleId\" open=\"(\" close=\")\" separator=\",\">",
				"#{roleId}",
				"</foreach>",
			"</if>",

			//------部门ID判断----
			"<if test=\"deptIdList != null and deptIdList.size > 0\">",
				" union all ",
				"select count(1) from data_permission_dept aa, data_permission bb where aa.data_perm_id = bb.id and bb.super_status = 1 and aa.dept_id in ",
				"<foreach collection=\"deptIdList\" item=\"deptId\" open=\"(\" close=\")\" separator=\",\">",
				"#{deptId}",
				"</foreach>",
			"</if>",
	"</script>"
	})
	public List<Integer> checkSuperPermissionOfRoleDeptUserId(@Param("userId") Long userId, @Param("roleIdList") List<Long> roleIdList, @Param("deptIdList") List<Long> deptIdList);
}
