/*
 * Copyright (c) 2018-2028, aokunsang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package org.springblade.modules.system.service.normal;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.core.redis.cache.BladeRedis;
import org.springblade.modules.system.entity.CubeGlobalParam;
import org.springblade.modules.system.mapper.CubeGlobalParamMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * （自定义类描述）
 *
 * @author wookvn
 * @datetime 2024-11-05 16:47:28
 */
@Service
public class CubeGlobalParamService extends ServiceImpl<CubeGlobalParamMapper, CubeGlobalParam> {

    @Autowired
    private BladeRedis bladeRedis;

    /**
     * <p>查询内置的全局系统变量</p>
     * @author wookvn
     * @datetime 2024-11-05 16:49:47
     * @return java.util.List<org.springblade.modules.system.entity.CubeGlobalParam>
     **/
    public List<CubeGlobalParam> listSystemGlobalParam() {
        return bladeRedis.get("system:globalparams:system", () -> super.list(Wrappers.<CubeGlobalParam>lambdaQuery().eq(CubeGlobalParam::getTenantId, "111111").eq(CubeGlobalParam::getParamType, 1)));
    }
}
