/**
 * 
 */
package org.springblade.modules.system.service.normal;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.crypto.digest.MD5;
import org.apache.ibatis.annotations.Param;
import org.springblade.core.redis.cache.BladeRedis;
import org.springblade.modules.system.entity.DataPermissionUser;
import org.springblade.modules.system.mapper.DataPermissionUserMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.time.Duration;
import java.util.List;

/**
 * @author wookvn
 *
 */
@Service
public class DataPermissionUserService extends ServiceImpl<DataPermissionUserMapper, DataPermissionUser> {

	@Autowired
	private BladeRedis bladeRedis;

	/**
	 * 检查是否超级权限组
	 * @param userId
	 * @return
	 */
	public int checkSuperPermission(Long userId) {
		return baseMapper.checkSuperPermission(userId);
	}

	/**
	 * 检查是否超级权限组
	 * @param userId
	 * @param roleIdList
	 * @param deptIdList
	 * @return
	 */
	public boolean checkSuperPermission(Long userId, List<Long> roleIdList, List<Long> deptIdList){
//		String keySuffix = userId + "_" + StrUtil.join(",", roleIdList) + "_" + StrUtil.join(",", deptIdList);
//		String key = "permission:checksuper:" + MD5.create().digestHex(keySuffix);
//		Object objCache = bladeRedis.get(key);
//		if(objCache != null && (objCache instanceof Boolean ret)){
//			return ret;
//		}
		List<Integer> checkList = baseMapper.checkSuperPermissionOfRoleDeptUserId(userId, roleIdList, deptIdList);
		if(CollUtil.isNotEmpty(checkList)) {
			boolean ret = checkList.stream().anyMatch(item -> item > 0);
//			bladeRedis.setEx(key, ret, Duration.ofMinutes(5)); //缓存5分钟
			return ret;
		}
		return false;
	}
}
