/**
 * 
 */
package org.springblade.resource;

import com.alibaba.fastjson2.JSON;
import org.springblade.core.secure.utils.AuthUtil;
import org.springblade.modules.system.entity.DataPermission;
import org.springblade.modules.system.service.normal.DataPermissionService;
import org.springblade.modules.system.service.normal.DataPermissionUserService;
import org.springblade.system.client.DataPermClient;
import org.springblade.system.client.dto.DataPermDto;
import org.springblade.system.client.model.DataPermModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import java.util.ArrayList;
import java.util.List;

/**
 * @author wookvn
 *
 */
@RestController
@ApiIgnore
public class DataPermResource implements DataPermClient {

	@Autowired
	private DataPermissionService dataPermissionService;
	
	@Autowired
	private DataPermissionUserService dataPermissionUserService;
	
	@Override
	public DataPermModel getById(Long id) {
		DataPermission dataPermission = dataPermissionService.getById(id);
		if(dataPermission != null) {
			DataPermModel dataPermModel = new DataPermModel();
			dataPermModel.setDataPermId(id);
			dataPermModel.setDataPermName(dataPermission.getPermName());
			dataPermModel.setDataPermDto(JSON.parseObject(dataPermission.getPermJson(), DataPermDto.class));
			return dataPermModel;
		}
		return null;
	}

	@Override
	public List<DataPermModel> listByIds(List<Long> ids) {
		List<DataPermission> entityList = dataPermissionService.listByIds(ids);
		List<DataPermModel> dataList = new ArrayList<>();
		if(entityList != null && !entityList.isEmpty()) {
			entityList.forEach(item -> {
				DataPermModel dataPermModel = new DataPermModel();
				dataPermModel.setDataPermId(item.getId());
				dataPermModel.setDataPermName(item.getPermName());
				dataPermModel.setDataPermDto(JSON.parseObject(item.getPermJson(), DataPermDto.class));
				dataList.add(dataPermModel);
			});
		}
		return dataList;
	}

	@Override
	public Boolean checkSuperPermission(Long userId) {
		//是否超级管理员
		long count = AuthUtil.isAdmin() ? 1 : dataPermissionUserService.checkSuperPermission(userId);
		return count >= 1;
	}

//	@Override
//	public Boolean checkSuperPermission(UserPermForm userPermForm) {
//		return AuthUtil.isAdmin() || dataPermissionUserService.checkSuperPermission(userPermForm.getUserId(), userPermForm.getRoleIdList(), userPermForm.getDeptIdList());
//	}
//
//	@Override
//	public Boolean checkSuperPermissionOfCurrentUser() {
//		UserPermForm userPermForm = new UserPermForm();
//		BladeUser bladeUser = AuthUtil.getUser();
//		userPermForm.setUserId(bladeUser.getUserId());
//		if(StrUtil.isNotBlank(bladeUser.getRoleId())) {
//			userPermForm.setRoleIdList(StrUtil.split(bladeUser.getRoleId(), ",").stream().map(Long::valueOf).collect(Collectors.toList()));
//		}
//		if(StrUtil.isNotBlank(bladeUser.getDeptId())) {
//			userPermForm.setDeptIdList(StrUtil.split(bladeUser.getDeptId(), ",").stream().map(Long::valueOf).collect(Collectors.toList()));
//		}
//		return checkSuperPermission(userPermForm);
//	}

}
