package org.springblade.system.client;

import org.springblade.common.openfeign.OpenFeignConstants;
import org.springblade.system.client.dto.IamGetUserByIdsParams;
import org.springblade.system.client.factory.CustomPlatformClientFallbackFactory;
import org.springblade.system.client.factory.IamClientFallbackFactory;
import org.springblade.system.client.model.CustomPlatformModel;
import org.springblade.system.client.model.TenantModel;
import org.springblade.system.client.model.UserModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 */
@FeignClient(contextId = "customPlatformClient",
        value = OpenFeignConstants.SYSTEM_SERVICE,
        fallbackFactory = CustomPlatformClientFallbackFactory.class)
public interface CustomPlatformClient {


    @GetMapping("/customPlatform/getById")
    CustomPlatformModel getById(@RequestParam Long id);

    /**
     * @param ids
     * @return
     */
    @PostMapping("/customPlatform/getByIds")
    List<CustomPlatformModel> getByIds(@RequestBody List<Long> ids);
}
