package org.springblade.system.client.factory;

import lombok.extern.slf4j.Slf4j;
import org.springblade.system.client.CustomPlatformClient;
import org.springblade.system.client.IamClient;
import org.springblade.system.client.dto.IamGetUserByIdsParams;
import org.springblade.system.client.model.CustomPlatformModel;
import org.springblade.system.client.model.TenantModel;
import org.springblade.system.client.model.UserModel;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.Collections;
import java.util.List;

/**
 */
@Component
@Slf4j
public class CustomPlatformClientFallbackFactory implements FallbackFactory<CustomPlatformClient> {

    @Override
    public CustomPlatformClient create(Throwable cause) {
        return new CustomPlatformClient() {
            @Override
            public CustomPlatformModel getById(Long id) {
                return null;
            }

            @Override
            public List<CustomPlatformModel> getByIds(List<Long> ids) {
                return List.of();
            }
        };
    }
}
