package org.springblade.system.client.factory;

import lombok.extern.slf4j.Slf4j;
import org.springblade.system.client.IamClient;
import org.springblade.system.client.TenantClient;
import org.springblade.system.client.dto.IamGetUserByIdsParams;
import org.springblade.system.client.model.TenantModel;
import org.springblade.system.client.model.UserModel;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.Collections;
import java.util.List;

/**
 * @author hepingguo
 * @version 1.0
 * @description: TODO
 * @date 2023/11/25 12:02
 */
@Component
@Slf4j
public class IamClientFallbackFactory implements FallbackFactory<IamClient> {
    @Override
    public IamClient create(Throwable cause) {
        log.error("IamClient invoke fallback:{}", cause.getMessage());

        return new IamClient() {

            @Override
            public List<TenantModel> getTenantByTenantIds(List<String> tenantIds) {
                return Collections.emptyList();
            }

            @Override
            public UserModel getById(Long userId, Long tenantId) {
                return null;
            }

            @Override
            public List<UserModel> getByIds(IamGetUserByIdsParams params) {
                return List.of();
            }

        };
    }
}
